package de.hft.stuttgart.citydoctor2.gui.tree;

import de.hft.stuttgart.citydoctor2.gui.Renderer;

public class TextNode extends Renderable {
	
	private final String text;
	
	public TextNode(String text) {
		this.text = text;
	}

	@Override
	public void refreshTextColor() {
		// don't refresh anything
	}

	@Override
	public String getText() {
		return text;
	}

	@Override
	public void visit(Renderer renderer) {
		// not used
	}

}
